import https from '@/plugins/luch-request_0.0.7/request'

/** *
 * 查看套餐详情 w
 */
export const getMealDet = data => {
	return https.get('/set-meal/get-detail', data)
}

/** *
 * 购买套餐 w
 */
export const renewWxPay = data => {
	return https.get('/renew/wx-pay', data)
}

/** *
 * 当前审核申请状态 w
 */
export const applyStatus = data => {
	return https.get('/apply/apply-status', data)
}

/** *
 * 商家信息 介绍人 w
 */
export const merchantDet = data => {
	return https.get('/merchant/detail', data)
}

/** *
 * 申请试用 w
 */
export const applyRegister = data => {
	return https.get('/apply/register', data)
}

// 获取验证码 w
export const sendSmsW = param => https.get('/inform-user/send-sms', param)

// 地区和腾讯KEY w
export const regionTreeW = param => https.get('/region/tree', param)

/** *
 * 登陆客户的帐号信息（到期时间） w
 */
export const accountDet = data => {
	return https.get('/merchant/login-account', data)
}

/** *
 * 开始授权 w
 */
export const getAuthUrl = data => {
	return https.get('/wx-open/get-auth-url', data)
}
